/*
   This file is part of the MoCA video library.
   Name: MpegMplexTest.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

 
  
   \author    Stephan Kopf
   
	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de
	
	 (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt
	 
*/

// C++ includes
#include <string>
#include <iostream>
using namespace std;

// Moca includes
#include <OMpegMplex.h>

// open one mpeg video stream (m1v) and one audio stream (mp2), and 
// multiplex these to one mpeg audio/video file (mpg)
int main(int argc, char* argv[])
{

    if (argc != 4) {
        cerr << "open one mpeg video stream (m1v) and one audio stream (mp2), and " << endl;
        cerr << "multiplex these to one mpeg audio/video file (mpg)" << endl << endl;
        cerr << "Usage: " << endl;
		cerr << argv[0] << " src(m1v)  src(mp2)  dest(mpg)" << endl;
        return 1;
    } // if
	string fileIn1  = argv[1];
	string fileIn2  = argv[2];
	string fileOut  = argv[3];
	
	// multiplexing
	cout << "input file 1: " << fileIn1 << endl;
	cout << "input file 2: " << fileIn2 << endl;
	cout << "output file : " << fileOut << endl;
	OMpegMplex::process(fileIn1, fileIn2, fileOut);

	return 0;
} // main


