/*
   This file is part of the MoCA video library.
   Name: MocaError.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kuehne@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   file.cc -- short description

   Author:    Gerald Kuehne, Stephan Kopf
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: kuehne@pi4.informatik.uni-mannheim.de

   $Id: MocaError.cpp,v 1.2 2004/02/17 15:14:02 kopf Exp $
*/

#include "MocaError.h"


void checkMemory (unsigned char* condition)
{
  if (!(condition)) {
    cerr << "Cannot allocate memory" << endl;
    exit(1);
  }
}

void checkMemory (unsigned char** condition)
{
  if (!(condition)) {
    cerr << "Cannot allocate memory" << endl;
    exit(1);
  }
}

void checkMemory (bool condition)
{
  if (!(condition)) {
    cerr << "Cannot allocate memory" << endl;
    exit(1);
  }
}

void checkMemory (long* condition)
{
  if (!(condition)) {
    cerr << "Cannot allocate memory" << endl;
    exit(1);
  }
}

void checkMemory (double* condition)
{
  if (!(condition)) {
    cerr << "Cannot allocate memory" << endl;
    exit(1);
  }
}


void checkValue (bool condition)
{
  if (!(condition)) {
    cerr << "Value not defined" << endl;
    exit(1);
  }
}

void checkValue (int condition, char* errorMsg)
{
  if (!(condition)) {
    cerr << "Value not defined ("
	 << errorMsg << ")" << endl;
    exit(1);
  }
}

void checkValue (long int condition, char* errorMsg)
{
  if (!(condition)) {
    cerr << "Value not defined ("
	 << errorMsg << ")" << endl;
    exit(1);
  }
}

void checkValue (bool condition, char* errorMsg)
{
  if (!(condition)) {
    cerr << "Value not defined ("
	 << errorMsg << ")" << endl;
    exit(1);
  }
}
