/*
   This file is part of the MoCA video library.
   Name: FaceData1.c
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*********************************************************
  nn1.c
  --------------------------------------------------------
  generated at Tue Feb 25 15:39:39 1997
  by snns2c ( Bernward Kett 1995 ) 
*********************************************************/

#ifdef _WIN32
#pragma warning( disable : 4305 4244)  
#endif


#include <math.h>

#define Act_Logistic(sum, bias)  ( (sum+bias<10000.0) ? ( 1.0/(1.0 + exp(-sum-bias) ) ) : 0.0 )

#ifndef NULL
#define NULL (void *)0
#endif

typedef struct UT {
          float act;         /* Activation       */
          float Bias;        /* Bias of the Unit */
          int   NoOfSources; /* Number of predecessor units */
   struct UT   **sources; /* predecessor units */
          float *weights; /* weights from predecessor units */
        } UnitType, *pUnit;

  /* Forward Declaration for all unit types */
  static UnitType Units[456];
  /* Sources definition section */
  static pUnit Sources[] =  {
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 

Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 

Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 

Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 

Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 

Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 

Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, 
Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, 
Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, 
Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, 
Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, 
Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, 
Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, 
Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, 
Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, 
Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, 
Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, 
Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, 
Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, 
Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, 
Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, 
Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, 
Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 

Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 

Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 

Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 

Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 

Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 

Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 

Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 

Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 

Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 

Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 401, Units + 402, Units + 403, Units + 404, Units + 405, Units + 406, Units + 407, Units + 408, Units + 409, Units + 410, 
Units + 411, Units + 412, Units + 413, Units + 414, Units + 415, Units + 416, Units + 417, Units + 418, Units + 419, Units + 420, 
Units + 421, Units + 422, Units + 423, Units + 424, Units + 425, Units + 426, Units + 427, Units + 428, Units + 429, Units + 430, 
Units + 431, Units + 432, Units + 433, Units + 434, Units + 435, Units + 436, Units + 437, Units + 438, Units + 439, Units + 440, 
Units + 441, Units + 442, Units + 443, Units + 444, Units + 445, Units + 446, Units + 447, Units + 448, Units + 449, Units + 450, 
Units + 451, Units + 452, 
Units + 401, Units + 402, Units + 403, Units + 404, Units + 405, Units + 406, Units + 407, Units + 408, Units + 409, Units + 410, 
Units + 411, Units + 412, Units + 413, Units + 414, Units + 415, Units + 416, Units + 417, Units + 418, Units + 419, Units + 420, 
Units + 421, Units + 422, Units + 423, Units + 424, Units + 425, Units + 426, Units + 427, Units + 428, Units + 429, Units + 430, 
Units + 431, Units + 432, Units + 433, Units + 434, Units + 435, Units + 436, Units + 437, Units + 438, Units + 439, Units + 440, 
Units + 441, Units + 442, Units + 443, Units + 444, Units + 445, Units + 446, Units + 447, Units + 448, Units + 449, Units + 450, 
Units + 451, Units + 452, 
Units + 453, Units + 454, 

  };

  /* Weigths definition section */
  static float Weights[] =  {
0.870460, 0.473420, -1.234180, -0.179060, -0.285360, -1.186680, -0.265310, 0.309170, 0.212420, -0.279590, 
1.191570, 0.653900, -0.789600, 0.841020, -1.534590, -0.059970, 0.386620, 0.885160, 0.361550, -0.184360, 
-0.156060, 0.768660, 0.010670, -0.003890, -0.238660, -1.093960, 0.650950, -0.000620, -0.581400, -0.450550, 
0.686130, 0.395090, -0.398920, -0.706530, 0.695000, 0.222160, 0.995520, -0.067820, 0.314800, 0.253200, 
-0.157610, 0.808510, -0.332950, 0.391780, 0.155630, 0.005590, -0.958380, 0.839040, 0.739010, 0.257460, 
0.427710, -0.689090, -0.707190, 0.206460, -0.105360, -0.244960, -0.822340, 0.697890, -1.356150, -1.397440, 
0.131100, -1.482990, 0.528650, 0.498630, -1.394180, -0.847070, 0.486340, -0.108790, -1.181740, -0.627300, 
-1.217120, -0.715910, -0.585610, 1.330680, 0.497010, -0.447430, -0.450770, 0.622710, -0.261680, 1.386890, 
-1.381270, -0.968790, 0.284210, 0.609410, 1.092010, 0.135690, 0.198650, -0.292780, 0.665610, 0.222170, 
-0.502810, 0.636650, 1.446850, 1.122390, 0.056620, -0.492130, 0.465940, -1.209450, 0.589120, -0.160300, 

0.215900, -1.142000, 0.361080, 0.945580, 0.355900, 0.612660, 0.166980, -0.481200, 0.461370, 0.962460, 
-0.155390, -1.476670, -0.153730, 0.738080, 0.555330, -0.125920, 0.421740, 0.907830, -0.568780, -0.629220, 
-0.319830, -1.091480, -0.774440, 0.842870, -0.263560, 1.243290, 1.194960, -0.151700, -1.107810, -0.407080, 
-1.090070, -0.206180, -0.950600, -0.328950, 0.605150, 0.409070, -0.255700, 0.504840, -0.966600, -0.294560, 
0.061570, -0.311180, -0.776380, -0.385530, 0.763050, -0.561540, 0.917910, -0.306510, -0.844830, 0.035300, 
0.907990, -0.776530, -0.379630, 1.159090, 1.435560, 0.687690, 1.905110, -0.995280, 0.084560, -0.779060, 
0.737280, 0.075790, -0.082490, 0.499840, 1.513050, 1.688570, 0.029350, -0.765380, -0.675890, -0.322210, 
-0.366190, 1.613080, 0.231400, 0.962060, -0.174940, -0.132460, 0.421160, -1.285570, -0.023410, -1.184140, 
-0.417700, 1.470290, 0.402250, 0.690790, 0.247380, -1.360270, -1.695700, 0.472260, -0.407270, -0.027830, 
-2.145130, 0.195090, 0.663530, -0.000920, -0.349900, -1.191750, -1.788420, 0.634640, 1.006940, 0.432730, 

-0.816090, -0.744260, -0.228230, -0.027920, -0.034160, -0.253650, 0.097860, -0.905520, -0.205950, -0.736940, 
1.074850, 0.678350, 0.093180, -0.589240, -0.721030, 0.578910, -0.982610, 0.063020, -0.913680, 0.675590, 
0.203210, 0.595240, 0.378590, 0.635640, 0.085150, -0.376950, -0.786740, 0.366620, -0.783420, -0.510800, 
-1.247020, -1.050450, 0.730520, -0.975220, 0.036620, 0.843390, -0.884980, -0.537910, 0.093990, 0.648960, 
-0.368190, 0.679850, -0.584460, 0.612680, 0.209840, 1.030970, -0.713240, -0.501900, 0.516010, -0.468630, 
-0.103460, -0.837800, -0.113950, 0.065710, 0.425110, 0.724420, -0.058020, 0.656000, -0.297290, -0.439460, 
1.337170, 0.551570, 0.322700, -0.383470, -0.934040, 0.579720, 0.214060, -0.049880, 0.197160, -0.819800, 
0.235960, 0.584150, -0.387420, -0.948610, 0.565590, -0.068060, 0.433940, 0.198930, -0.255780, 0.073590, 
-1.278510, -0.888970, 0.083210, 0.163730, 0.256490, 0.326970, -0.127320, -0.216580, 0.784540, -0.581880, 
0.405080, 0.312090, 0.057380, 0.982050, 1.362720, 1.877390, 0.832450, 0.166590, -0.062120, 0.468390, 

0.432770, 0.599370, 0.466700, -0.075890, -1.554820, -1.070390, 0.489420, -0.455150, 0.217870, -0.100100, 
-0.880620, -0.053740, -0.600670, 0.425730, -0.924550, -0.768760, -0.516020, -0.607790, 0.291560, 0.539170, 
-1.681800, -0.737180, -1.060830, -0.838540, 0.581210, -0.020220, 0.308500, -0.667720, 0.456770, -0.109390, 
-0.727240, 0.383300, 0.331320, 1.038640, 0.758600, -0.184550, 0.773960, 0.843790, 0.040740, 0.722610, 
-0.097120, 0.745420, 0.737690, -0.285530, 0.322080, -0.287090, -0.511920, 0.639270, -0.161110, 0.192640, 
-0.812800, -0.532520, -0.528650, 0.512590, 0.323270, -0.563450, -0.416880, -0.478830, 0.646180, 0.867970, 
-0.385860, -0.131030, 1.274570, 0.447890, -0.508930, -1.107650, 0.186420, 0.428630, 1.393710, 0.687250, 
0.623410, 1.450820, 0.802660, -0.852120, 0.276420, 0.268430, 0.458690, 0.536380, 0.184830, 0.871530, 
0.517570, -0.869360, -0.777700, -1.360580, 0.041870, 0.297460, 1.167410, 0.252240, -1.001800, -0.426260, 
-1.260830, -0.916710, 0.125980, 0.476840, 0.667020, 1.180240, -0.204010, -0.500530, -0.348550, -0.562220, 

-0.512760, -0.859910, 0.081290, 0.641000, -0.005220, -0.027230, -0.705760, -0.714020, 0.600240, 0.715500, 
-0.364690, -0.245960, -0.896860, 0.891530, 1.565940, -0.839850, -0.911460, 1.434330, 0.402640, -0.457380, 
0.722970, -0.101150, -0.677150, 0.142200, 1.023240, 0.240930, -1.329060, 0.705670, -1.037370, -0.836530, 
0.898820, -0.411540, 0.372010, 0.314850, -0.259620, -0.523520, -0.271610, 1.282550, 1.335680, -0.332730, 
1.040290, 0.127750, -0.120070, 0.224450, 0.347060, 0.500010, 1.550720, 1.491950, 0.068760, 1.054300, 
0.340850, 0.511690, 0.870990, 0.410510, -1.667670, -1.006520, -0.438080, -0.579680, 0.375650, 0.512110, 
-0.382260, 0.359730, 1.112230, -0.043450, -1.512930, -0.547100, -0.957900, 0.145990, 2.172030, 0.770110, 
0.065260, 0.625090, 0.824740, -0.659350, 0.872930, 0.330900, 0.837760, 0.187240, 1.401110, 0.364630, 
-0.770760, -0.798200, -1.379560, -0.677760, 0.929080, -0.121850, -0.164090, -1.044950, -0.683020, -0.496120, 
0.549550, -0.803180, -0.699390, -0.723120, 0.452070, -0.559550, -1.407920, -2.157400, -1.922360, -0.045120, 

-0.914060, -0.396350, -0.490640, -0.938950, -0.404750, -0.503450, 0.270670, -0.007050, -0.630300, 0.626510, 
1.366890, 0.474750, 1.132260, 0.813680, -0.215290, -0.105210, -0.226240, -0.035950, -0.014520, 0.438590, 
-0.173350, 1.079570, 0.468990, 0.024780, 0.479770, 0.503850, -0.703550, 0.483190, 1.117490, -0.230920, 
-1.339740, -0.097320, 0.810750, 0.352880, -0.262290, 0.441040, -0.085330, -0.617740, 0.858060, 0.209550, 
-0.325050, 0.727530, -0.058190, 0.365870, 1.161530, -0.052180, -1.125050, 0.074580, 0.548930, 0.024900, 
0.896270, 1.044210, 0.509700, 0.165120, -0.607440, 0.660630, 1.168780, 1.629580, 0.150250, 1.107620, 
1.108230, 1.128060, 0.606730, 0.260620, -0.164400, 0.228900, -0.495440, 0.149470, -0.292900, 1.033800, 
0.809250, 0.281160, -0.250580, 0.650420, 0.528510, -0.574010, -0.283410, 0.644360, -1.213170, -0.010070, 
-0.051910, 0.125460, -1.397770, -1.354070, -0.810190, -0.020580, 0.106810, -1.291660, -1.917770, -0.538070, 
0.494010, -1.162280, -0.519240, -1.367190, -0.679380, -0.003580, -1.065010, -1.393340, -1.482110, -1.170290, 

-0.994720, 1.526110, 0.139180, -1.092910, 0.357920, 1.425200, 0.391660, -0.088400, -0.382910, 0.523500, 
0.793960, 0.775970, 0.084040, -0.644200, 0.847590, -0.021670, 0.118840, 0.601930, -0.223620, -0.515970, 
-1.499430, 0.348040, -1.090290, -0.921900, -0.536510, -0.586360, 0.588680, -0.042390, 0.166460, 1.012120, 
-1.123550, -1.394250, -1.036890, -0.963390, -0.651620, -1.157080, 0.599080, 0.186230, -0.246520, 0.987130, 
0.596280, 1.217740, 1.279020, -0.589380, -0.407400, 0.082780, -0.456230, -0.197150, 0.590680, -0.364570, 
1.193160, 1.243680, 0.927820, 0.318410, 0.628750, 0.814910, -1.476530, -1.095680, 1.526080, 0.340770, 
-1.109280, 0.228400, 0.174060, 0.043260, 0.174210, -0.576720, -0.271460, -0.064910, -1.110950, 1.000230, 
0.144000, -0.362830, -1.508750, 0.348570, 0.483100, 0.448910, 0.364920, -1.381960, -0.507770, 0.728410, 
-0.596200, -0.172110, -0.290430, 0.096570, 0.071590, -0.710940, -1.226120, -0.674010, -1.233550, 1.016860, 
0.109280, 0.461220, 0.233650, 0.606900, 0.385800, -1.122280, -1.354130, -0.986400, 0.356420, 1.239590, 

-0.443090, -0.827080, -1.348060, -0.326670, -0.881600, -0.771860, -0.790450, -0.031070, 0.013000, -1.421740, 
-0.007690, 0.577950, 0.851290, -0.330740, -0.001800, -0.420300, -0.532560, -0.618510, -0.183250, 1.113170, 
0.504320, 0.421940, 0.264560, -1.383290, -0.366930, 1.536520, 1.571270, 0.940310, 0.038200, 1.561740, 
-0.259750, 0.547320, 2.121670, 1.413900, 1.165940, -0.551410, 0.613050, 2.057270, 0.372210, 0.448690, 
-1.838760, -1.311310, -0.183040, 2.052560, -0.046170, -1.098390, 0.284330, 1.197940, -0.517180, 0.991900, 
0.369800, -0.792930, 0.757980, 0.298910, 1.087720, -0.484100, -1.335290, -1.279320, -0.537720, -1.071630, 
0.246040, -0.231990, 0.566150, 0.331550, -0.427010, -0.164430, 0.919140, 1.139850, -0.682540, 0.019420, 
-0.695210, -0.184370, -0.118130, 0.483740, -0.005710, -0.874930, -0.138800, -0.061350, -0.042500, 0.551180, 
0.612770, -1.117380, -0.235440, 0.005290, -0.389040, -1.113230, -1.648930, -0.266930, -0.191940, -1.458720, 
-0.491570, -0.273740, 0.299370, 0.236360, -1.128910, 0.749840, 0.098660, -1.025300, -0.270630, 1.221340, 

0.493890, 1.868200, 0.994460, -0.927980, -0.787420, -0.582630, 0.737800, 1.207150, 0.170510, -0.763620, 
-0.777230, 0.787820, 0.193560, 0.380230, -0.235170, -0.667780, 0.414520, 0.145600, 1.000520, -0.119090, 
-1.695520, 0.601060, 0.583280, 0.094760, 0.235880, 
0.804150, 0.090590, 0.872750, 0.499490, 0.613960, 0.722080, 0.731250, 1.055900, -0.287700, 0.866760, 
0.836840, -0.156620, -0.211280, -0.286380, 0.330700, -0.201240, 0.465200, 0.413930, 0.533630, -0.879770, 
-0.417740, -0.746800, 0.148370, 1.104080, 0.574490, 
-1.402830, -1.577470, -1.305730, -0.811260, 0.362030, -0.678190, 0.273930, -0.507870, -0.381770, -0.218110, 
1.031260, 1.753910, -0.130800, -0.654450, 1.399390, 1.588370, 0.896190, 1.149530, 0.288200, 1.427460, 
-0.260030, -1.415360, 0.472240, -0.395080, 0.001120, 
-0.436540, 0.488260, -0.011940, 0.784670, -0.067610, 0.165680, 0.825270, -0.476690, -0.095890, 1.054650, 
-0.137580, 0.380600, 1.325880, 0.715070, 0.159800, 0.405290, 0.671870, 0.981750, 0.853480, 0.318330, 
1.220490, -0.021340, 0.864680, -1.089730, -0.472190, 
0.492370, -0.869260, 0.605140, 0.514970, -0.205610, 0.644010, -0.245500, 0.634620, -0.321950, -0.755470, 
-1.522180, -0.856860, 0.891690, -0.764340, -1.009680, -1.677850, 0.077020, 1.623170, 0.853630, -0.238460, 
1.402990, 1.069000, 1.995520, -1.093040, 0.084400, 
1.833510, 0.819730, -0.742320, -1.170240, 0.403060, 1.530980, -0.568090, -0.300940, -0.730030, 0.321490, 
0.540920, -0.371050, -0.581970, -1.155520, 0.375290, -0.064510, 0.201020, -1.236900, -1.034950, 0.369900, 
1.119560, -0.093710, -0.676010, -1.371500, 0.748610, 
-1.782430, -0.644620, -1.428560, -0.507730, -1.126660, -0.944440, -0.052230, 0.210770, 1.077590, 0.318220, 
0.499470, -1.305840, -0.184850, 0.417830, -0.545670, 0.561360, -1.037920, -0.408690, 0.633820, 0.394630, 
0.866890, 1.093580, 0.591070, 1.518490, 0.114040, 
-0.481420, -0.781470, 0.145170, 0.087240, -0.528780, 0.824370, 0.164270, 0.469260, 0.766900, -0.359300, 
0.727230, 0.845500, -0.932930, 1.202060, 0.978160, -0.138930, 0.420510, -1.034220, -0.066670, 0.777430, 
-0.507120, -1.168390, 0.165810, 0.206670, 0.029920, 
-0.023270, 0.701990, 1.021280, -1.311890, -0.497430, -0.948460, -0.254140, 0.683640, -0.099420, -0.659060, 
0.184950, 0.955850, 1.355110, 0.808050, -0.999510, -0.602500, -0.275820, -0.899990, 1.138510, 0.722450, 
0.573800, -0.624300, 0.149940, -0.121780, -0.712370, 
-0.343220, -0.470210, 0.286290, -0.490410, -1.507120, -1.161660, -1.546450, -0.322480, 0.693180, -0.570130, 
-0.072540, -0.820420, 0.268430, 0.590400, 0.935560, -0.691640, -0.365780, -0.518970, 0.932450, 0.756080, 
0.051160, 0.572250, 1.476970, 0.919090, -0.098580, 
-1.001880, -0.509710, 0.162930, 0.119690, -0.870420, -0.168320, -0.653630, -0.220990, 0.424100, 0.525310, 
0.359340, -0.690370, -0.460000, 1.223210, -0.014640, -0.176720, -1.120500, -0.902230, 0.985700, 0.879190, 
0.634280, -1.462110, 0.057410, -0.370100, 1.189250, 
-0.081630, -0.686180, 0.225270, 1.398500, 0.333280, -0.233800, 1.193700, 0.382890, 1.233270, 0.957380, 
1.547080, 0.754470, -0.214580, -0.032750, 0.902120, -0.555210, -0.180080, 0.051170, -0.636200, 0.237970, 
-0.703350, -0.780490, -1.778630, -1.191950, -1.163850, 
-1.516800, -0.127190, -0.736350, 0.362250, 0.506520, -1.243760, -0.576820, 0.441890, 0.674150, 0.786800, 
-0.631220, -0.010450, -0.503340, 1.089380, 0.389010, 0.577900, -0.752000, 0.023450, -0.522200, -0.134030, 
0.944140, -0.594610, 0.092990, -1.054130, -0.485390, 
0.727610, 0.685750, -0.238670, 0.016820, -0.750820, -0.949560, -0.501290, 0.047870, -0.439870, 0.161300, 
0.357740, 0.351600, -0.002040, 0.796730, 0.141690, -0.950730, -0.018310, 1.024710, 0.085170, -0.041790, 
0.038580, 0.811920, 0.711780, 1.171410, 0.434480, 
1.003300, 0.365100, 0.549930, 0.065400, 0.599590, 0.620720, 1.257400, 0.317730, -0.883230, 0.617040, 
1.212770, 0.096350, 0.815100, 0.209640, -0.037190, 0.823890, -0.033480, 0.893590, 0.518650, -0.584700, 
-0.119710, 0.522600, -0.405560, -0.510730, -0.192300, 
-0.063490, 0.063350, -0.676640, -0.769750, 0.470120, -0.511300, -0.057900, -0.563950, -0.788300, 0.289880, 
0.652550, 0.086500, -0.581190, -0.241410, -0.330000, 0.384170, 0.742140, 0.367990, 0.484990, 1.073110, 
-0.420750, -0.024360, 0.220240, 0.785470, 1.176220, 
1.018620, -0.983070, -0.861200, -0.164240, -0.681460, -0.959960, 0.116940, 0.122740, -0.723270, -0.437920, 
-0.602940, -1.223900, 0.953440, -0.270680, 0.183830, -0.997620, 1.012940, 0.891140, 0.080460, 1.112760, 
-0.697770, 1.052140, 0.709670, -0.294990, -1.533260, 
0.527950, -0.571960, -1.999370, -2.582000, -1.130730, 0.470970, -0.272550, -0.205660, 0.972810, 1.325420, 
0.975090, -0.206340, -0.385750, 0.370920, 1.280710, 1.068850, 1.551150, 0.772750, 1.241880, 1.204570, 
-0.220480, -0.865480, -1.152110, -1.253640, -1.084330, 
0.233780, 0.616540, 1.035760, 0.701480, -0.840460, 0.597460, 0.136480, -0.658970, 0.076560, -0.884800, 
-0.751230, -0.541160, -1.014810, 0.419070, -0.989410, 0.341040, 0.618380, 1.088940, 0.909760, -0.245640, 
-1.180370, 0.385670, 0.727770, 0.540190, -0.329460, 
-1.226570, -0.937310, -0.011450, -0.605140, -0.345930, -0.423300, 0.455710, 0.439600, -0.957690, 0.601340, 
-0.416890, 0.134280, -0.005690, 0.696870, 0.255870, 0.478580, 1.224040, 0.994540, -0.640870, 0.635330, 
0.166830, 0.353470, 0.063400, 0.046230, -0.644920, 
0.974630, -0.090860, 0.672910, -0.480620, 1.579430, -0.690450, -0.835760, -0.762210, -0.985400, 0.747710, 
-1.062530, -0.963310, -0.487060, -1.067010, -0.127180, -0.902870, -0.632060, 1.835540, -0.047070, -0.483590, 
-0.897740, 0.046710, 0.146740, -0.053260, -1.256000, 
-0.728250, -2.576310, -1.596800, -0.717330, -0.689180, 0.222610, 0.224750, -0.098300, -0.445490, 0.487810, 
2.209710, 2.964070, 1.221770, 1.576760, -0.712130, 0.390020, 0.101680, 0.160720, -0.303380, 0.546200, 
0.334490, -0.957480, -1.590140, -0.451520, 1.125830, 
-1.391340, 0.899200, 0.101520, 0.788060, -0.045490, -1.422660, 0.107900, 0.532250, -0.251230, 0.174050, 
-1.674690, 1.125540, -0.131580, 0.031030, 0.905930, -1.339250, 1.230490, 0.181850, 0.051840, 0.750840, 
-1.145550, 1.243610, 0.999680, 1.525590, -0.073430, 
0.185860, -0.884420, -0.398080, 0.048500, -0.513440, -0.040570, 0.636470, 0.907910, -0.626390, 0.859750, 
0.083100, 0.547870, 0.123470, 0.951300, 0.054280, 0.762370, 1.030470, 0.755660, -0.106520, 0.931140, 
0.597850, 0.475860, -0.093610, -0.339310, 0.740240, 
-1.205760, -1.020530, 0.243350, -0.466140, 0.091740, -1.326050, -0.729220, -0.315750, -1.367230, -1.792640, 
-0.197050, -0.046640, 0.329750, 0.225270, -1.415810, 0.328870, 1.620150, 1.819630, 1.960560, -0.381000, 
0.392280, 1.061610, -0.080580, 1.766280, 0.720460, 
-0.143950, 0.318150, 1.143020, 0.055060, 1.051310, -1.021220, -0.255930, -0.315780, -0.357740, -0.135510, 
-0.469280, -0.301570, -0.039620, -1.376250, -1.148150, -1.116810, 1.146140, 0.105090, -0.381640, -0.163590, 
1.234260, -0.072400, 0.371340, 1.532280, 0.049330, 
0.725700, -0.270140, -0.101780, 0.437380, -0.791860, 0.634070, -1.158370, 0.215370, -0.597220, -1.138300, 
0.654120, -0.760790, -1.157830, -0.570070, -1.184290, 0.587440, -1.004070, -0.279650, 1.415010, 0.361820, 
0.146150, -0.890890, 1.473310, 2.481680, 0.454640, 
0.158840, -0.523340, -1.125580, -0.316610, -0.257190, 0.220770, 0.222520, 0.723330, 0.538620, 0.879770, 
0.153140, -0.708730, 0.691130, 0.463370, 0.632360, 0.003800, 1.167830, 0.009400, -0.655560, 0.263610, 
-0.863570, 0.523500, -0.521670, -0.833650, -0.473440, 
-1.024150, 0.680550, 0.735970, 0.383910, 0.016940, -1.166720, 0.751230, 0.480630, 0.623460, 0.838310, 
-0.805540, -0.053620, 0.004870, 0.810220, 0.407450, -0.689230, -0.862090, 0.658260, 0.767780, 0.738680, 
-1.307410, -0.980100, 0.240130, -0.436640, 0.490290, 
-0.219510, 0.694060, 1.092840, 1.526760, 1.370190, 0.453990, 1.461790, 0.728320, 0.493810, 0.626750, 
0.375340, -0.027430, -0.885740, -0.788250, -1.476280, -0.386940, -0.689840, -1.181880, 0.138010, 1.004420, 
-1.103870, -2.081360, 0.091630, 0.093750, -0.034610, 
-0.312180, -0.517500, 0.571870, 0.839620, -1.351740, -0.352040, -0.222490, 0.373470, 0.519510, -0.617920, 
-0.706220, 1.033180, -0.037600, -0.910020, -0.302810, 0.145540, 0.113140, 0.588680, 0.171230, 0.624420, 
-1.181180, 0.082760, 1.254660, -0.610290, 0.771920, 
0.447050, -1.127080, -0.383050, 0.567240, 0.988860, 0.003150, 0.721910, -0.049170, -0.847510, -0.752350, 
-0.188940, 0.112170, 1.023930, -0.728950, 0.798250, -0.551160, 0.955430, -0.388900, -0.674950, 0.996210, 
0.615960, -0.554820, 0.720250, -0.930010, -0.541480, 
0.727910, -0.961960, 0.872850, -0.139060, -0.361360, 1.925270, 0.849750, -0.174560, -0.056720, -0.315970, 
0.008230, 0.983540, -1.144270, 0.591750, -0.564200, -0.799770, -1.652890, 0.013030, 0.771780, 1.197530, 
0.389780, -1.641720, 0.603350, -0.670300, 1.095510, 0.474920, 1.130280, -0.695080, -1.142560, 0.150950, 
-0.641310, 0.729830, 1.130220, 0.445360, 0.139230, 0.104380, -0.891390, 0.645430, 0.616890, -0.512080, 
0.271500, 0.181300, 0.981050, 0.052810, 0.860530, 0.476730, 0.704200, -0.932780, 0.325200, -0.554280, 
-1.167400, -1.205610, -0.045810, -0.074190, 0.383620, 0.048850, 0.199360, -0.426700, 0.424120, -0.907160, 
-0.642460, -0.361800, 0.084090, 0.381500, 1.179420, -0.351940, -0.887190, -0.870590, -1.348330, -0.799700, 
1.071490, -1.468660, -1.656670, 0.011550, 1.138630, 1.106580, 0.163770, -0.427000, -0.865220, -0.363250, 
0.220040, 0.391910, 0.589550, 1.315180, -0.254110, 0.568080, -0.051900, 0.816450, -0.623900, -1.108150, 
-0.151640, 0.340160, -0.277200, 0.324840, 0.562190, 0.466580, -0.411340, 0.802100, -0.672940, 0.155210, 

0.108620, -0.135600, 0.528810, -0.772160, 0.310530, -1.519850, -1.299920, -0.553060, -0.012800, 0.598540, 
1.019640, 1.475070, -0.045120, 0.548070, -0.311160, -0.392400, 0.050180, -0.057000, -0.377890, -0.039090, 
0.171170, -0.705030, 0.826170, 0.101210, -0.477940, -1.733440, 0.051980, -0.636120, 0.995950, -0.325790, 
1.142410, 0.254730, 0.210750, 0.979540, 0.550030, 0.618570, -0.116300, -0.226770, -0.997620, -0.398380, 
0.110650, 0.629940, 0.197960, -0.352250, -0.838240, -1.826310, -0.849010, 1.292810, 0.423280, 0.530250, 
-0.896950, 0.790010, -1.411450, -0.163150, 0.692680, 1.404140, 0.360690, 0.041230, 0.107230, 0.029750, 
-0.105120, 0.558160, 0.161130, 0.183150, -1.096890, -1.875480, 0.604400, 0.233480, -1.152170, -1.083980, 
-0.032100, 1.298640, -0.567120, 0.590560, 1.344730, 0.875520, 0.178510, 0.051400, 0.778900, -0.007910, 
-0.666050, -0.905070, 0.923430, 1.338510, -0.431220, -0.342350, -0.729310, -1.247080, -0.476670, 0.689650, 
-0.900970, 0.508150, -0.904670, 0.838830, 0.483110, 0.908980, 0.153330, -0.094190, -1.134040, 0.326890, 

-0.564100, 0.897770, 0.855460, 0.709460, 0.023730, 0.088380, -0.394010, 0.682730, -0.825070, -1.376490, 
0.424920, 1.529070, -0.234510, 0.342120, -0.989160, -0.558190, -1.649680, -1.324400, 0.076930, -0.821980, 
-0.258310, -0.695200, 0.255690, 0.628420, -0.375020, -0.096380, 0.985380, 1.019280, -0.808020, -1.424220, 
0.591310, 1.088300, -0.222190, 0.555950, -0.232870, 0.008440, 0.278020, -0.111900, -0.315390, 0.785250, 
0.628570, 0.302260, -0.377150, -0.368630, -0.671880, -0.561800, 0.884170, -0.157370, -0.398720, -0.241260, 
0.210040, 1.739800, 1.102730, -0.338080, -0.192940, -0.786120, 0.566980, 1.305470, 0.347430, 0.909540, 
-0.523520, -0.666890, -0.072950, -0.709640, -0.870410, 0.743550, 0.441630, 0.273860, -0.441470, -0.690260, 
0.894850, 0.324080, 0.763850, 0.519570, -0.708340, 0.749030, 0.550780, 0.112580, 0.386450, 0.254750, 
-0.086120, -0.350710, -0.757560, -0.028280, -0.703060, 0.841690, -0.393290, -0.635860, 0.034500, -0.921590, 
0.537610, 1.186340, 0.552860, 0.558850, -0.215810, -0.207470, -0.061120, -0.439930, 0.982230, -0.772530, 

1.000110, 0.232180, -0.433590, 0.028200, -0.181670, 0.415960, 0.219160, 1.839420, 1.371110, 0.915860, 
-2.004050, -1.256180, 0.105660, -0.343530, -0.030920, -0.523480, 0.111730, 0.533210, 0.615960, -0.167440, 
0.618550, -0.604810, 0.490630, 0.554950, -0.246910, -0.686630, 0.085290, 0.178670, 1.317570, -0.488030, 
-0.207570, -0.306930, 0.016220, 0.586190, -0.043520, -0.128760, -0.551920, -0.773300, 0.540070, 0.636490, 
1.248180, 0.320470, -0.604530, -0.029280, -0.301160, 0.312250, -0.170260, 1.174350, 0.106740, 0.127540, 
-0.070710, -0.690800, 0.748200, -0.742030, -0.281020, 0.515840, 0.003510, -0.088980, -0.427190, 0.539290, 
1.147880, -0.658520, -0.795730, -1.256780, 0.007550, -0.567400, -0.561730, 0.338250, 0.941700, 0.328990, 
-1.155640, -0.239520, -0.350050, 0.145850, -0.411950, -0.254430, -0.177670, -0.347000, -0.069180, 0.673850, 
1.000520, -1.270430, -0.221750, -0.591490, 0.005700, 1.130860, 0.519470, 0.397050, -0.324690, -0.127670, 
-0.213100, -1.407420, -0.684910, -0.399400, 0.256850, -0.700340, 0.053480, -0.045210, -0.846590, 0.551670, 

-0.459290, -0.428980, -1.603100, -1.037760, -0.428510, -0.155290, -0.074190, 0.166580, -1.328850, 0.752810, 
0.210790, 0.816110, 0.982230, 0.013750, 0.016340, 0.098690, -1.083540, 0.251090, 0.516420, -0.398680, 
-0.630300, -0.485790, 1.062520, -0.576420, 0.348790, 0.423880, 1.322390, -0.756270, 0.451990, 0.358560, 
0.659270, -0.137800, -1.147530, 0.401140, 0.745270, 0.367310, -0.172810, 0.756720, 1.172290, -0.058660, 
0.608010, 1.721470, 1.001190, 1.134230, 0.237410, -0.404690, 0.676660, 1.570350, 0.138430, 2.017560, 
-0.269860, 0.206670, 0.253330, 0.621640, 0.595530, -1.295410, -0.042570, -0.483820, -0.674300, 1.193480, 
0.053430, 0.210870, 0.877710, 0.008150, -0.572750, 0.055090, -0.269510, -0.216300, -0.422800, 0.541900, 
-0.406700, -0.851880, 0.201620, -0.632500, -0.790000, -1.220810, -0.892130, -0.270910, 0.047790, 0.453860, 
-0.226030, -0.588830, -1.293240, -0.304680, -1.076100, 0.256480, -0.681090, -0.219600, 0.444500, -0.161460, 
0.591280, -0.471080, -1.136700, -0.428540, -0.391790, -0.534670, -0.252330, -1.371470, -0.627760, -1.285090, 

0.117790, 0.049850, -0.069270, 0.198140, -0.015010, -0.408970, 0.533380, -0.799710, -0.669960, 1.104790, 
1.545170, 0.662720, -0.415720, -0.245650, 0.413510, 1.271310, 0.137050, 1.678070, 1.367170, 0.109490, 
0.057250, -1.166400, -0.988980, -0.896740, -0.237100, 0.450440, -0.140110, 0.762050, 0.463920, -1.425460, 
0.710780, 1.189180, 0.232960, 0.275960, 0.864520, -0.277800, -0.459840, -0.526930, 1.162250, -0.740010, 
0.027860, -0.316970, 0.326140, -0.618480, -0.318930, -1.299340, 0.041160, 0.507340, 0.030620, -0.991980, 
-0.153820, 0.603530, 0.435200, -0.413050, 1.110330, 1.001180, -0.231040, 0.408780, -0.220220, 0.725110, 
-0.209280, -0.691340, -0.253040, 0.497310, -0.268240, 0.797590, 0.489520, 1.284840, 0.274100, -1.105620, 
-0.616970, -0.917960, 0.924040, 0.706040, 0.413890, 1.458110, 0.023860, -0.779510, -0.926270, -0.652100, 
-0.314850, -0.031820, 0.129640, -0.497720, 0.509070, 0.047620, -0.138150, -0.406590, -0.658570, -1.184710, 
0.036270, -0.265410, -1.206550, -1.523280, -0.571180, -0.428120, 0.983600, 1.322990, -0.174380, 0.713800, 

0.102500, -0.847700, -0.044190, 0.933470, -0.385750, -1.096320, 0.944980, 0.658050, -1.137920, -1.637780, 
-0.490460, 0.224080, -0.275490, 0.273880, 0.560550, 0.895090, 0.477970, -0.941080, -1.499920, -0.248320, 
1.235270, -0.276830, -0.801760, 0.771290, 0.641720, -0.505490, -0.724870, 0.166920, 0.220770, -1.630710, 
-1.068090, 0.258170, 0.195100, 0.593780, 0.538620, 0.315030, 0.529830, -0.540220, -0.624760, 0.559310, 
-0.193540, -0.873410, 0.072740, -0.510540, 0.535770, -0.543270, 0.942060, -0.811030, -0.950260, -0.835290, 
0.720680, -0.094010, 0.018390, 0.014060, -0.697060, 1.012880, 0.669080, 0.071590, 0.397270, 0.097180, 
0.117530, 0.440560, -0.599080, -0.022060, -0.520950, 0.558350, 0.575960, -0.643470, -0.474910, 0.749400, 
0.140230, -0.485920, -0.583650, 0.991530, -0.647980, -0.503190, 0.879840, 0.489300, -0.770530, 0.940440, 
-0.381350, -0.291600, 0.620840, 0.473470, 0.414780, -0.664460, 0.682220, -1.202020, 0.383980, -0.315870, 
-0.096460, -0.515220, 0.825200, 0.727360, 1.006700, 0.003000, 0.763610, -0.082050, 0.719880, 0.954670, 

-0.210600, -0.838250, 0.893640, 0.355320, -0.126260, -0.305970, 0.435810, -0.651430, -1.346490, 0.002560, 
-0.792330, 0.391130, 0.636310, 0.291780, -0.152090, 0.959690, 0.535480, 0.727190, -0.583470, -0.706510, 
0.268000, -1.701160, -0.448610, -0.101550, 0.741730, -1.543920, 0.309820, -1.164800, -0.520800, 0.451530, 
0.893760, 0.317290, -0.203310, -1.125080, -0.649150, 0.551470, 0.157070, 0.516120, -0.885800, -0.408980, 
1.224920, -0.088870, -0.157080, -0.357640, -0.408340, 0.477970, -0.276700, -0.802370, 0.070210, 0.818420, 
-0.403880, -0.494690, 1.078780, 0.029640, -0.458040, 0.248320, -0.319680, 0.240390, 0.795400, 1.010020, 
0.582160, 0.014470, 0.385980, 0.153380, 0.794540, -0.150380, 1.746940, 0.445630, -0.073920, -0.572840, 
-0.777330, -1.695010, 0.209410, 0.580200, 0.082030, 0.243490, 1.418310, 0.692660, 1.151440, 0.192810, 
-0.006300, -0.549660, 0.415530, 0.698060, -0.903270, 0.867680, -0.457510, -0.831920, -0.298120, -1.207150, 
0.210840, -1.038370, 1.404310, -1.198480, -1.043580, 0.061860, -0.842310, -0.460530, -0.606740, 0.375250, 

-0.222100, 0.080690, 1.048330, 0.729100, 0.785030, -0.428910, 0.146240, -0.444710, 1.247760, 0.278810, 
-1.179310, -1.336830, 0.327860, 0.615330, -0.790580, 0.490640, 1.399180, 0.010210, 1.573740, 1.125900, 
-0.171860, -0.834650, 0.081410, -0.794370, 0.921540, -1.282690, 0.862250, -0.241580, 0.556430, 0.262980, 
0.750190, 1.163160, 1.321140, 1.200980, -0.170590, 0.349220, -0.134480, -0.468650, -0.837190, -0.042870, 
-0.198540, -0.848720, -1.590820, 0.022250, 0.601420, 0.367100, 0.737940, 0.519000, -1.128570, -1.125080, 
0.297300, -0.003320, 0.021820, 1.307090, 0.072880, -1.011000, -0.394850, 0.137700, 0.318630, 0.915420, 
-1.531350, -0.513770, -0.693890, 0.106810, -0.836770, -0.426310, -0.076230, -0.260460, 0.549600, 0.371370, 
0.009640, 0.695010, 0.789350, 0.158550, 0.786080, -0.019790, -1.132090, 0.629650, 0.030800, 1.057940, 
-0.782210, 0.640540, 0.298080, 0.005270, -1.288500, -0.056320, -0.336360, 0.037420, 0.852740, 0.084560, 
0.185620, -0.306590, -1.258290, 0.095780, -0.188090, 0.872500, -0.399330, 0.921300, 0.063110, -0.108820, 

-0.555720, -0.457310, 0.166850, 0.528850, 1.251340, -0.805400, -0.357980, -0.174510, 0.859060, 0.220120, 
-0.045090, 1.256870, -0.860040, -1.092680, -0.465510, -0.183400, 0.220360, -0.321270, 0.624300, -1.218290, 
-1.872940, 0.522010, -0.953430, -0.317990, -0.070580, 1.025190, -0.742370, -0.329610, -0.243430, -0.565620, 
0.768780, 0.033870, 0.145050, -0.195960, -0.669960, 0.238380, -1.214050, -0.568060, -0.119940, -1.014750, 
0.168940, 0.514280, 0.750700, -0.463090, -1.655340, -0.943940, -0.725550, -0.616210, -0.277310, 0.085260, 
0.859120, -0.752130, 0.925920, -0.051010, 1.625200, 0.592260, -0.517420, 0.749230, -0.206980, 0.401180, 
0.533910, 0.038350, 0.777770, -0.358080, -0.881600, -0.257100, -0.205440, 0.584470, -0.045380, 1.620710, 
1.141290, -1.810040, 0.103940, 1.454530, 1.795270, -0.320050, -0.046280, 1.011970, 0.071350, 1.750960, 
-0.738450, -0.294750, -0.494890, -0.363750, 0.285440, 1.004700, -0.530400, 0.805990, 0.234220, 0.150870, 
-1.719930, -1.535320, 0.279010, 0.580760, 0.332490, -0.767260, 0.321070, -0.044480, -0.690040, 0.615820, 

-0.005010, 0.220130, 0.252220, -0.497980, 0.255140, -0.471400, -0.370770, -1.238110, -0.056110, 0.352440, 
-1.028410, -1.285890, -0.553180, -0.707760, 0.412380, 0.728850, 0.886210, -0.100230, -0.557000, -0.761030, 
0.009170, -1.275870, -0.891140, 0.777770, 0.753480, 0.320670, 0.429340, -0.226960, 0.312720, -0.645470, 
0.088080, 0.817850, 0.318910, 0.462960, 0.597050, 0.509040, -0.873570, 0.511510, -0.291250, -0.333510, 
-0.121900, 0.637610, -0.177030, 0.053350, 0.876670, -0.508910, 0.151750, -0.250280, 0.844220, -0.297870, 
0.669490, 0.633930, -0.565190, -0.001390, 0.399590, 0.140350, 1.149130, 0.724580, 0.787890, -0.163750, 
0.573080, -0.138170, 0.346810, 0.206490, 0.189360, 0.092450, 0.288740, -0.617000, 0.018810, 0.362460, 
0.995960, -0.273740, -0.620400, -0.624440, -0.258520, 0.161670, 1.132000, -0.094340, 0.057120, -0.099250, 
-0.274010, 0.726880, 0.147400, 0.209140, 0.783810, 0.126580, -0.508350, -0.478620, -0.684680, 0.967500, 
-0.500380, 1.484710, 0.869260, 0.156630, 0.397320, -0.329720, 0.989220, 0.433010, -0.920290, 0.732870, 

0.080940, 0.714220, 1.628310, -0.162720, 0.687690, 0.254930, -0.375460, 0.388170, -1.357540, 0.283960, 
0.646880, 1.362840, -0.141960, 1.081810, -0.451480, 0.103890, -0.718420, -0.745740, 0.680030, 0.655140, 
0.677080, -0.311330, -0.188580, 0.909440, -0.174810, 0.227470, 1.400990, -0.010110, -0.221590, -0.271040, 
0.276800, 0.704410, 0.255990, -0.362380, 0.486590, -0.391510, -0.351160, -0.910780, 0.247560, 0.488660, 
-0.342330, 0.770080, 0.012890, 0.861800, 0.721440, 0.760390, 0.314800, 0.377960, 0.193940, 0.399650, 
-0.652270, 0.066340, 0.443590, -0.596020, 0.223440, -0.241420, -0.379320, -0.534760, -0.577510, -0.554980, 
0.871060, 0.915790, 0.036270, 0.818530, 0.629380, 1.095060, 0.104250, 1.026900, -0.315320, -0.403700, 
-0.461190, 1.502270, -0.724350, -0.461780, -0.711470, 0.720560, 0.601730, 0.066630, -0.413760, 0.872630, 
-0.505000, -1.434370, 0.153920, -0.598970, -1.206360, -0.332680, 0.211080, -0.722340, -1.361430, -1.602780, 
0.793850, 0.463860, -0.273820, 0.160400, -1.357200, 0.533360, -0.885440, -0.687990, -0.480230, -0.416270, 

0.980870, -0.474430, 0.505160, -0.619330, 0.212620, 0.799980, 0.232520, -1.095570, 0.441320, 0.007550, 
0.072890, 0.126450, -0.579900, -1.303450, -1.363400, 0.006590, 0.284170, 1.308340, 1.224450, -1.033870, 
0.058000, -0.270860, 1.532200, 0.362300, -0.599110, 0.679770, 0.871970, -0.972170, 1.044310, 0.746400, 
-2.080060, 0.493220, -0.797880, -0.026610, -0.528620, -1.380890, -0.186800, 0.061210, -0.239350, 1.255320, 
0.752610, -1.086230, -0.413990, 0.168850, -0.599920, -0.027480, -1.268220, -0.739590, 0.192430, -0.334840, 
1.012010, 0.728810, 
-3.139020, -2.922450, -1.984650, 1.942820, -4.227270, -3.150250, -3.682500, -4.213120, -2.484380, -1.102530, 
-2.352920, -1.706590, 2.058140, 2.019540, -2.866940, -1.248050, -1.693610, -2.356520, -1.217940, 1.665350, 
-2.030780, -1.199440, 1.112690, -1.066690, -1.611960, -2.475260, -1.623660, -0.084160, -2.543940, 3.068420, 
-1.692600, 0.401920, -3.322730, 1.208740, 2.223980, -1.115570, 2.273890, -1.696440, -1.346660, -0.720790, 
-2.663430, 2.342480, -2.506170, -2.729930, 2.573760, -2.714620, -2.701070, -2.808550, 3.273470, 3.173040, 
1.220550, -3.086700, 
-2.672120, 6.060000, 

  };

  /* unit definition section (see also UnitType) */
  static UnitType Units[456] = 
  {
    { 0.0, 0.0, 0, NULL , NULL },
    { /* unit 1 (Old: 1) */
      0.0, 0.207070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 2 (Old: 2) */
      0.0, -0.680970, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 3 (Old: 3) */
      0.0, 0.293330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 4 (Old: 4) */
      0.0, 0.106830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 5 (Old: 5) */
      0.0, 0.362610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 6 (Old: 6) */
      0.0, -0.772860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 7 (Old: 7) */
      0.0, 0.968830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 8 (Old: 8) */
      0.0, -0.168180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 9 (Old: 9) */
      0.0, 0.681260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 10 (Old: 10) */
      0.0, 0.232570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 11 (Old: 11) */
      0.0, -0.382010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 12 (Old: 12) */
      0.0, 0.882280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 13 (Old: 13) */
      0.0, -0.799710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 14 (Old: 14) */
      0.0, 0.672910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 15 (Old: 15) */
      0.0, 0.681860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 16 (Old: 16) */
      0.0, -0.066130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 17 (Old: 17) */
      0.0, -0.208290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 18 (Old: 18) */
      0.0, -0.165400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 19 (Old: 19) */
      0.0, 0.460060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 20 (Old: 20) */
      0.0, 0.219040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 21 (Old: 21) */
      0.0, 0.413200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 22 (Old: 22) */
      0.0, -0.484750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 23 (Old: 23) */
      0.0, 0.402950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 24 (Old: 24) */
      0.0, 0.848920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 25 (Old: 25) */
      0.0, 0.190030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 26 (Old: 26) */
      0.0, -0.714760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 27 (Old: 27) */
      0.0, -0.883940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 28 (Old: 28) */
      0.0, -0.325660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 29 (Old: 29) */
      0.0, -0.692950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 30 (Old: 30) */
      0.0, 0.994490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 31 (Old: 31) */
      0.0, 0.075240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 32 (Old: 32) */
      0.0, -0.065190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 33 (Old: 33) */
      0.0, -0.575750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 34 (Old: 34) */
      0.0, 0.468780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 35 (Old: 35) */
      0.0, -0.965500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 36 (Old: 36) */
      0.0, 0.386430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 37 (Old: 37) */
      0.0, -0.201710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 38 (Old: 38) */
      0.0, -0.217430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 39 (Old: 39) */
      0.0, 0.575120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 40 (Old: 40) */
      0.0, -0.771790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 41 (Old: 41) */
      0.0, 0.390690, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 42 (Old: 42) */
      0.0, 0.696280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 43 (Old: 43) */
      0.0, 0.324680, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 44 (Old: 44) */
      0.0, 0.225050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 45 (Old: 45) */
      0.0, -0.287220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 46 (Old: 46) */
      0.0, -0.507110, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 47 (Old: 47) */
      0.0, -0.207230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 48 (Old: 48) */
      0.0, -0.063260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 49 (Old: 49) */
      0.0, 0.081280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 50 (Old: 50) */
      0.0, -0.304980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 51 (Old: 51) */
      0.0, 0.345640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 52 (Old: 52) */
      0.0, -0.892740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 53 (Old: 53) */
      0.0, 0.263920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 54 (Old: 54) */
      0.0, -0.887780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 55 (Old: 55) */
      0.0, 0.985140, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 56 (Old: 56) */
      0.0, -0.033200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 57 (Old: 57) */
      0.0, 0.454460, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 58 (Old: 58) */
      0.0, 0.951400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 59 (Old: 59) */
      0.0, -0.183910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 60 (Old: 60) */
      0.0, 0.590070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 61 (Old: 61) */
      0.0, -0.755390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 62 (Old: 62) */
      0.0, 0.881260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 63 (Old: 63) */
      0.0, 0.478310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 64 (Old: 64) */
      0.0, 0.394340, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 65 (Old: 65) */
      0.0, -0.782990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 66 (Old: 66) */
      0.0, 0.003600, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 67 (Old: 67) */
      0.0, -0.420050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 68 (Old: 68) */
      0.0, 0.427170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 69 (Old: 69) */
      0.0, -0.729850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 70 (Old: 70) */
      0.0, -0.351080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 71 (Old: 71) */
      0.0, 0.083020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 72 (Old: 72) */
      0.0, -0.919270, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 73 (Old: 73) */
      0.0, -0.549350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 74 (Old: 74) */
      0.0, 0.246900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 75 (Old: 75) */
      0.0, 0.542720, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 76 (Old: 76) */
      0.0, 0.290930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 77 (Old: 77) */
      0.0, 0.399360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 78 (Old: 78) */
      0.0, -0.339530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 79 (Old: 79) */
      0.0, -0.437930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 80 (Old: 80) */
      0.0, -0.131910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 81 (Old: 81) */
      0.0, -0.648930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 82 (Old: 82) */
      0.0, 0.218780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 83 (Old: 83) */
      0.0, -0.637530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 84 (Old: 84) */
      0.0, -0.688020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 85 (Old: 85) */
      0.0, 0.639060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 86 (Old: 86) */
      0.0, -0.886790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 87 (Old: 87) */
      0.0, 0.150230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 88 (Old: 88) */
      0.0, -0.041330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 89 (Old: 89) */
      0.0, 0.868710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 90 (Old: 90) */
      0.0, -0.827020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 91 (Old: 91) */
      0.0, -0.765170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 92 (Old: 92) */
      0.0, -0.522730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 93 (Old: 93) */
      0.0, 0.202150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 94 (Old: 94) */
      0.0, -0.376510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 95 (Old: 95) */
      0.0, -0.523100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 96 (Old: 96) */
      0.0, 0.189980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 97 (Old: 97) */
      0.0, 0.749500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 98 (Old: 98) */
      0.0, 0.030730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 99 (Old: 99) */
      0.0, 0.555070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 100 (Old: 100) */
      0.0, -0.746240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 101 (Old: 101) */
      0.0, -0.057640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 102 (Old: 102) */
      0.0, 0.997170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 103 (Old: 103) */
      0.0, -0.721030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 104 (Old: 104) */
      0.0, 0.962610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 105 (Old: 105) */
      0.0, -0.629780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 106 (Old: 106) */
      0.0, 0.514230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 107 (Old: 107) */
      0.0, 0.370860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 108 (Old: 108) */
      0.0, -0.931470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 109 (Old: 109) */
      0.0, -0.871120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 110 (Old: 110) */
      0.0, -0.618860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 111 (Old: 111) */
      0.0, 0.015780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 112 (Old: 112) */
      0.0, 0.559730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 113 (Old: 113) */
      0.0, -0.152710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 114 (Old: 114) */
      0.0, 0.421940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 115 (Old: 115) */
      0.0, 0.357870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 116 (Old: 116) */
      0.0, 0.477350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 117 (Old: 117) */
      0.0, 0.652020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 118 (Old: 118) */
      0.0, 0.996370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 119 (Old: 119) */
      0.0, 0.910430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 120 (Old: 120) */
      0.0, 0.517650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 121 (Old: 121) */
      0.0, 0.169100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 122 (Old: 122) */
      0.0, -0.403250, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 123 (Old: 123) */
      0.0, 0.556310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 124 (Old: 124) */
      0.0, -0.007820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 125 (Old: 125) */
      0.0, 0.865940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 126 (Old: 126) */
      0.0, 0.213870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 127 (Old: 127) */
      0.0, 0.041050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 128 (Old: 128) */
      0.0, 0.563720, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 129 (Old: 129) */
      0.0, 0.560980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 130 (Old: 130) */
      0.0, -0.832410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 131 (Old: 131) */
      0.0, 0.299560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 132 (Old: 132) */
      0.0, 0.614610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 133 (Old: 133) */
      0.0, 0.577530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 134 (Old: 134) */
      0.0, -0.267360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 135 (Old: 135) */
      0.0, 0.892870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 136 (Old: 136) */
      0.0, -0.566820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 137 (Old: 137) */
      0.0, 0.938650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 138 (Old: 138) */
      0.0, 0.111810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 139 (Old: 139) */
      0.0, 0.647170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 140 (Old: 140) */
      0.0, -0.864360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 141 (Old: 141) */
      0.0, -0.819300, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 142 (Old: 142) */
      0.0, 0.054310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 143 (Old: 143) */
      0.0, -0.743390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 144 (Old: 144) */
      0.0, -0.391130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 145 (Old: 145) */
      0.0, -0.860380, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 146 (Old: 146) */
      0.0, 0.089820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 147 (Old: 147) */
      0.0, 0.202870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 148 (Old: 148) */
      0.0, -0.786610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 149 (Old: 149) */
      0.0, -0.387090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 150 (Old: 150) */
      0.0, -0.677470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 151 (Old: 151) */
      0.0, -0.479400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 152 (Old: 152) */
      0.0, -0.302540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 153 (Old: 153) */
      0.0, -0.356310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 154 (Old: 154) */
      0.0, -0.154420, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 155 (Old: 155) */
      0.0, 0.453760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 156 (Old: 156) */
      0.0, -0.870780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 157 (Old: 157) */
      0.0, -0.323880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 158 (Old: 158) */
      0.0, 0.905170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 159 (Old: 159) */
      0.0, 0.253920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 160 (Old: 160) */
      0.0, -0.236390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 161 (Old: 161) */
      0.0, 0.702740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 162 (Old: 162) */
      0.0, 0.245390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 163 (Old: 163) */
      0.0, -0.289180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 164 (Old: 164) */
      0.0, 0.948620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 165 (Old: 165) */
      0.0, -0.682760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 166 (Old: 166) */
      0.0, 0.845960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 167 (Old: 167) */
      0.0, -0.485270, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 168 (Old: 168) */
      0.0, 0.488030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 169 (Old: 169) */
      0.0, -0.803690, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 170 (Old: 170) */
      0.0, 0.244700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 171 (Old: 171) */
      0.0, 0.360940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 172 (Old: 172) */
      0.0, 0.577130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 173 (Old: 173) */
      0.0, -0.297070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 174 (Old: 174) */
      0.0, 0.497370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 175 (Old: 175) */
      0.0, 0.542710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 176 (Old: 176) */
      0.0, 0.498160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 177 (Old: 177) */
      0.0, -0.886440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 178 (Old: 178) */
      0.0, 0.726570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 179 (Old: 179) */
      0.0, 0.459880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 180 (Old: 180) */
      0.0, -0.097410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 181 (Old: 181) */
      0.0, 0.351960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 182 (Old: 182) */
      0.0, -0.730160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 183 (Old: 183) */
      0.0, 0.406590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 184 (Old: 184) */
      0.0, -0.360120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 185 (Old: 185) */
      0.0, -0.666290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 186 (Old: 186) */
      0.0, -0.752610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 187 (Old: 187) */
      0.0, -0.299330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 188 (Old: 188) */
      0.0, 0.853770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 189 (Old: 189) */
      0.0, -0.797090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 190 (Old: 190) */
      0.0, 0.492840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 191 (Old: 191) */
      0.0, -0.222640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 192 (Old: 192) */
      0.0, -0.683780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 193 (Old: 193) */
      0.0, -0.664040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 194 (Old: 194) */
      0.0, 0.254830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 195 (Old: 195) */
      0.0, -0.514100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 196 (Old: 196) */
      0.0, 0.781570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 197 (Old: 197) */
      0.0, -0.701620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 198 (Old: 198) */
      0.0, -0.118660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 199 (Old: 199) */
      0.0, -0.715160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 200 (Old: 200) */
      0.0, 0.313810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 201 (Old: 201) */
      0.0, -0.383540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 202 (Old: 202) */
      0.0, 0.309610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 203 (Old: 203) */
      0.0, -0.787170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 204 (Old: 204) */
      0.0, -0.917420, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 205 (Old: 205) */
      0.0, 0.756530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 206 (Old: 206) */
      0.0, -0.963090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 207 (Old: 207) */
      0.0, 0.889950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 208 (Old: 208) */
      0.0, -0.229550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 209 (Old: 209) */
      0.0, 0.923750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 210 (Old: 210) */
      0.0, 0.247050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 211 (Old: 211) */
      0.0, -0.051210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 212 (Old: 212) */
      0.0, 0.436150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 213 (Old: 213) */
      0.0, -0.121080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 214 (Old: 214) */
      0.0, -0.214490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 215 (Old: 215) */
      0.0, -0.632880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 216 (Old: 216) */
      0.0, 0.106930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 217 (Old: 217) */
      0.0, 0.945780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 218 (Old: 218) */
      0.0, 0.056290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 219 (Old: 219) */
      0.0, 0.430200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 220 (Old: 220) */
      0.0, 0.414550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 221 (Old: 221) */
      0.0, 0.608640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 222 (Old: 222) */
      0.0, 0.964840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 223 (Old: 223) */
      0.0, -0.659200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 224 (Old: 224) */
      0.0, -0.146330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 225 (Old: 225) */
      0.0, 0.790440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 226 (Old: 226) */
      0.0, -0.465950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 227 (Old: 227) */
      0.0, 0.761800, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 228 (Old: 228) */
      0.0, 0.552220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 229 (Old: 229) */
      0.0, -0.894510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 230 (Old: 230) */
      0.0, -0.478100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 231 (Old: 231) */
      0.0, -0.642710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 232 (Old: 232) */
      0.0, -0.652260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 233 (Old: 233) */
      0.0, 0.498040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 234 (Old: 234) */
      0.0, 0.487010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 235 (Old: 235) */
      0.0, 0.323610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 236 (Old: 236) */
      0.0, 0.223560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 237 (Old: 237) */
      0.0, -0.054640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 238 (Old: 238) */
      0.0, 0.467180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 239 (Old: 239) */
      0.0, 0.197560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 240 (Old: 240) */
      0.0, -0.741790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 241 (Old: 241) */
      0.0, 0.908220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 242 (Old: 242) */
      0.0, 0.410850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 243 (Old: 243) */
      0.0, 0.211510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 244 (Old: 244) */
      0.0, -0.120000, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 245 (Old: 245) */
      0.0, 0.378360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 246 (Old: 246) */
      0.0, -0.645150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 247 (Old: 247) */
      0.0, 0.049040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 248 (Old: 248) */
      0.0, 0.817710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 249 (Old: 249) */
      0.0, 0.475200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 250 (Old: 250) */
      0.0, -0.834090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 251 (Old: 251) */
      0.0, -0.956870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 252 (Old: 252) */
      0.0, 0.335810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 253 (Old: 253) */
      0.0, -0.804150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 254 (Old: 254) */
      0.0, 0.518730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 255 (Old: 255) */
      0.0, 0.253670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 256 (Old: 256) */
      0.0, -0.504570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 257 (Old: 257) */
      0.0, 0.084350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 258 (Old: 258) */
      0.0, -0.801260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 259 (Old: 259) */
      0.0, 0.154210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 260 (Old: 260) */
      0.0, -0.131850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 261 (Old: 261) */
      0.0, -0.940920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 262 (Old: 262) */
      0.0, 0.292260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 263 (Old: 263) */
      0.0, 0.136990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 264 (Old: 264) */
      0.0, 0.641820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 265 (Old: 265) */
      0.0, 0.569360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 266 (Old: 266) */
      0.0, 0.325650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 267 (Old: 267) */
      0.0, 0.091260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 268 (Old: 268) */
      0.0, 0.910550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 269 (Old: 269) */
      0.0, -0.367760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 270 (Old: 270) */
      0.0, 0.875700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 271 (Old: 271) */
      0.0, -0.102750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 272 (Old: 272) */
      0.0, 0.367660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 273 (Old: 273) */
      0.0, 0.463560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 274 (Old: 274) */
      0.0, -0.001530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 275 (Old: 275) */
      0.0, 0.874930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 276 (Old: 276) */
      0.0, -0.929650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 277 (Old: 277) */
      0.0, -0.459150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 278 (Old: 278) */
      0.0, -0.612630, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 279 (Old: 279) */
      0.0, 0.696050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 280 (Old: 280) */
      0.0, -0.410040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 281 (Old: 281) */
      0.0, -0.459910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 282 (Old: 282) */
      0.0, -0.685130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 283 (Old: 283) */
      0.0, -0.235860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 284 (Old: 284) */
      0.0, -0.910900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 285 (Old: 285) */
      0.0, 0.041220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 286 (Old: 286) */
      0.0, -0.054170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 287 (Old: 287) */
      0.0, 0.941230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 288 (Old: 288) */
      0.0, -0.215220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 289 (Old: 289) */
      0.0, 0.904860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 290 (Old: 290) */
      0.0, -0.185540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 291 (Old: 291) */
      0.0, 0.194710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 292 (Old: 292) */
      0.0, -0.808790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 293 (Old: 293) */
      0.0, 0.339740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 294 (Old: 294) */
      0.0, 0.378330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 295 (Old: 295) */
      0.0, -0.709890, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 296 (Old: 296) */
      0.0, -0.468300, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 297 (Old: 297) */
      0.0, 0.802750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 298 (Old: 298) */
      0.0, 0.319080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 299 (Old: 299) */
      0.0, 0.196520, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 300 (Old: 300) */
      0.0, -0.970330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 301 (Old: 301) */
      0.0, -0.259190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 302 (Old: 302) */
      0.0, -0.663920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 303 (Old: 303) */
      0.0, 0.125760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 304 (Old: 304) */
      0.0, -0.582450, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 305 (Old: 305) */
      0.0, 0.881080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 306 (Old: 306) */
      0.0, 0.729730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 307 (Old: 307) */
      0.0, -0.087650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 308 (Old: 308) */
      0.0, -0.860900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 309 (Old: 309) */
      0.0, -0.769800, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 310 (Old: 310) */
      0.0, 0.220210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 311 (Old: 311) */
      0.0, 0.170880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 312 (Old: 312) */
      0.0, -0.713730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 313 (Old: 313) */
      0.0, 0.426480, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 314 (Old: 314) */
      0.0, 0.784490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 315 (Old: 315) */
      0.0, -0.153350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 316 (Old: 316) */
      0.0, -0.555200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 317 (Old: 317) */
      0.0, 0.715500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 318 (Old: 318) */
      0.0, -0.617350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 319 (Old: 319) */
      0.0, -0.496190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 320 (Old: 320) */
      0.0, 0.179950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 321 (Old: 321) */
      0.0, 0.049770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 322 (Old: 322) */
      0.0, 0.311080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 323 (Old: 323) */
      0.0, 0.166400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 324 (Old: 324) */
      0.0, 0.952700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 325 (Old: 325) */
      0.0, -0.051620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 326 (Old: 326) */
      0.0, -0.435780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 327 (Old: 327) */
      0.0, 0.527950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 328 (Old: 328) */
      0.0, -0.389730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 329 (Old: 329) */
      0.0, -0.559900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 330 (Old: 330) */
      0.0, -0.525500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 331 (Old: 331) */
      0.0, 0.756870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 332 (Old: 332) */
      0.0, 0.258960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 333 (Old: 333) */
      0.0, -0.856500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 334 (Old: 334) */
      0.0, -0.532010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 335 (Old: 335) */
      0.0, 0.420840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 336 (Old: 336) */
      0.0, -0.967320, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 337 (Old: 337) */
      0.0, 0.143790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 338 (Old: 338) */
      0.0, 0.924370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 339 (Old: 339) */
      0.0, -0.196650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 340 (Old: 340) */
      0.0, 0.968810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 341 (Old: 341) */
      0.0, -0.513450, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 342 (Old: 342) */
      0.0, 0.738640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 343 (Old: 343) */
      0.0, 0.250870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 344 (Old: 344) */
      0.0, 0.565010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 345 (Old: 345) */
      0.0, -0.155590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 346 (Old: 346) */
      0.0, 0.588670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 347 (Old: 347) */
      0.0, -0.574040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 348 (Old: 348) */
      0.0, -0.496740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 349 (Old: 349) */
      0.0, 0.089330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 350 (Old: 350) */
      0.0, 0.429460, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 351 (Old: 351) */
      0.0, -0.700440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 352 (Old: 352) */
      0.0, 0.099980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 353 (Old: 353) */
      0.0, -0.670020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 354 (Old: 354) */
      0.0, 0.139510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 355 (Old: 355) */
      0.0, 0.338010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 356 (Old: 356) */
      0.0, -0.901740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 357 (Old: 357) */
      0.0, 0.502250, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 358 (Old: 358) */
      0.0, 0.286410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 359 (Old: 359) */
      0.0, 0.164260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 360 (Old: 360) */
      0.0, 0.005890, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 361 (Old: 361) */
      0.0, -0.770590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 362 (Old: 362) */
      0.0, -0.126330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 363 (Old: 363) */
      0.0, -0.371000, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 364 (Old: 364) */
      0.0, -0.935520, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 365 (Old: 365) */
      0.0, 0.635260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 366 (Old: 366) */
      0.0, -0.135610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 367 (Old: 367) */
      0.0, 0.940670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 368 (Old: 368) */
      0.0, 0.592080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 369 (Old: 369) */
      0.0, 0.684470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 370 (Old: 370) */
      0.0, -0.095190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 371 (Old: 371) */
      0.0, 0.592020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 372 (Old: 372) */
      0.0, 0.577430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 373 (Old: 373) */
      0.0, 0.865410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 374 (Old: 374) */
      0.0, 0.613810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 375 (Old: 375) */
      0.0, -0.803040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 376 (Old: 376) */
      0.0, -0.564100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 377 (Old: 377) */
      0.0, 0.394820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 378 (Old: 378) */
      0.0, 0.155980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 379 (Old: 379) */
      0.0, -0.979050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 380 (Old: 380) */
      0.0, -0.594240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 381 (Old: 381) */
      0.0, 0.225060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 382 (Old: 382) */
      0.0, 0.636120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 383 (Old: 383) */
      0.0, 0.550540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 384 (Old: 384) */
      0.0, -0.474770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 385 (Old: 385) */
      0.0, -0.067010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 386 (Old: 386) */
      0.0, -0.329470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 387 (Old: 387) */
      0.0, 0.596340, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 388 (Old: 388) */
      0.0, 0.062350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 389 (Old: 389) */
      0.0, -0.132990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 390 (Old: 390) */
      0.0, 0.805070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 391 (Old: 391) */
      0.0, 0.445950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 392 (Old: 392) */
      0.0, 0.965380, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 393 (Old: 393) */
      0.0, -0.127770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 394 (Old: 394) */
      0.0, -0.773880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 395 (Old: 395) */
      0.0, 0.859620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 396 (Old: 396) */
      0.0, 0.875960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 397 (Old: 397) */
      0.0, 0.493390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 398 (Old: 398) */
      0.0, 0.385870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 399 (Old: 399) */
      0.0, -0.793280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 400 (Old: 400) */
      0.0, 0.731850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 401 (Old: 401) */
      0.0, -2.886030, 100,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 402 (Old: 402) */
      0.0, -0.428360, 100,
       &Sources[100] , 
       &Weights[100] , 
      },
    { /* unit 403 (Old: 403) */
      0.0, -1.724080, 100,
       &Sources[200] , 
       &Weights[200] , 
      },
    { /* unit 404 (Old: 404) */
      0.0, -0.934730, 100,
       &Sources[300] , 
       &Weights[300] , 
      },
    { /* unit 405 (Old: 405) */
      0.0, -1.491480, 100,
       &Sources[400] , 
       &Weights[400] , 
      },
    { /* unit 406 (Old: 406) */
      0.0, -0.031620, 100,
       &Sources[500] , 
       &Weights[500] , 
      },
    { /* unit 407 (Old: 407) */
      0.0, -3.537490, 100,
       &Sources[600] , 
       &Weights[600] , 
      },
    { /* unit 408 (Old: 408) */
      0.0, -3.003180, 100,
       &Sources[700] , 
       &Weights[700] , 
      },
    { /* unit 409 (Old: 409) */
      0.0, -1.355940, 25,
       &Sources[800] , 
       &Weights[800] , 
      },
    { /* unit 410 (Old: 410) */
      0.0, 1.024870, 25,
       &Sources[825] , 
       &Weights[825] , 
      },
    { /* unit 411 (Old: 411) */
      0.0, 0.683800, 25,
       &Sources[850] , 
       &Weights[850] , 
      },
    { /* unit 412 (Old: 412) */
      0.0, -0.596690, 25,
       &Sources[875] , 
       &Weights[875] , 
      },
    { /* unit 413 (Old: 413) */
      0.0, 1.541470, 25,
       &Sources[900] , 
       &Weights[900] , 
      },
    { /* unit 414 (Old: 414) */
      0.0, -1.178590, 25,
       &Sources[925] , 
       &Weights[925] , 
      },
    { /* unit 415 (Old: 415) */
      0.0, -2.825490, 25,
       &Sources[950] , 
       &Weights[950] , 
      },
    { /* unit 416 (Old: 416) */
      0.0, -1.909590, 25,
       &Sources[975] , 
       &Weights[975] , 
      },
    { /* unit 417 (Old: 417) */
      0.0, -2.126860, 25,
       &Sources[1000] , 
       &Weights[1000] , 
      },
    { /* unit 418 (Old: 418) */
      0.0, -2.552530, 25,
       &Sources[1025] , 
       &Weights[1025] , 
      },
    { /* unit 419 (Old: 419) */
      0.0, -1.571580, 25,
       &Sources[1050] , 
       &Weights[1050] , 
      },
    { /* unit 420 (Old: 420) */
      0.0, 1.266490, 25,
       &Sources[1075] , 
       &Weights[1075] , 
      },
    { /* unit 421 (Old: 421) */
      0.0, 1.572760, 25,
       &Sources[1100] , 
       &Weights[1100] , 
      },
    { /* unit 422 (Old: 422) */
      0.0, -0.332500, 25,
       &Sources[1125] , 
       &Weights[1125] , 
      },
    { /* unit 423 (Old: 423) */
      0.0, 0.164090, 25,
       &Sources[1150] , 
       &Weights[1150] , 
      },
    { /* unit 424 (Old: 424) */
      0.0, 1.080350, 25,
       &Sources[1175] , 
       &Weights[1175] , 
      },
    { /* unit 425 (Old: 425) */
      0.0, 0.174470, 25,
       &Sources[1200] , 
       &Weights[1200] , 
      },
    { /* unit 426 (Old: 426) */
      0.0, -0.482140, 25,
       &Sources[1225] , 
       &Weights[1225] , 
      },
    { /* unit 427 (Old: 427) */
      0.0, -1.518980, 25,
       &Sources[1250] , 
       &Weights[1250] , 
      },
    { /* unit 428 (Old: 428) */
      0.0, 0.548800, 25,
       &Sources[1275] , 
       &Weights[1275] , 
      },
    { /* unit 429 (Old: 429) */
      0.0, -0.141720, 25,
       &Sources[1300] , 
       &Weights[1300] , 
      },
    { /* unit 430 (Old: 430) */
      0.0, 1.161780, 25,
       &Sources[1325] , 
       &Weights[1325] , 
      },
    { /* unit 431 (Old: 431) */
      0.0, 0.084720, 25,
       &Sources[1350] , 
       &Weights[1350] , 
      },
    { /* unit 432 (Old: 432) */
      0.0, 0.860010, 25,
       &Sources[1375] , 
       &Weights[1375] , 
      },
    { /* unit 433 (Old: 433) */
      0.0, -1.440430, 25,
       &Sources[1400] , 
       &Weights[1400] , 
      },
    { /* unit 434 (Old: 434) */
      0.0, -0.918630, 25,
       &Sources[1425] , 
       &Weights[1425] , 
      },
    { /* unit 435 (Old: 435) */
      0.0, 1.147760, 25,
       &Sources[1450] , 
       &Weights[1450] , 
      },
    { /* unit 436 (Old: 436) */
      0.0, -0.828390, 25,
       &Sources[1475] , 
       &Weights[1475] , 
      },
    { /* unit 437 (Old: 437) */
      0.0, -2.562530, 25,
       &Sources[1500] , 
       &Weights[1500] , 
      },
    { /* unit 438 (Old: 438) */
      0.0, -0.221890, 25,
       &Sources[1525] , 
       &Weights[1525] , 
      },
    { /* unit 439 (Old: 439) */
      0.0, -1.654570, 25,
       &Sources[1550] , 
       &Weights[1550] , 
      },
    { /* unit 440 (Old: 440) */
      0.0, -1.061520, 25,
       &Sources[1575] , 
       &Weights[1575] , 
      },
    { /* unit 441 (Old: 441) */
      0.0, 0.240070, 100,
       &Sources[1600] , 
       &Weights[1600] , 
      },
    { /* unit 442 (Old: 442) */
      0.0, 0.813780, 100,
       &Sources[1700] , 
       &Weights[1700] , 
      },
    { /* unit 443 (Old: 443) */
      0.0, 1.741650, 100,
       &Sources[1800] , 
       &Weights[1800] , 
      },
    { /* unit 444 (Old: 444) */
      0.0, 2.151780, 100,
       &Sources[1900] , 
       &Weights[1900] , 
      },
    { /* unit 445 (Old: 445) */
      0.0, 1.238120, 100,
       &Sources[2000] , 
       &Weights[2000] , 
      },
    { /* unit 446 (Old: 446) */
      0.0, -1.922640, 100,
       &Sources[2100] , 
       &Weights[2100] , 
      },
    { /* unit 447 (Old: 447) */
      0.0, -0.253860, 100,
       &Sources[2200] , 
       &Weights[2200] , 
      },
    { /* unit 448 (Old: 448) */
      0.0, -2.121340, 100,
       &Sources[2300] , 
       &Weights[2300] , 
      },
    { /* unit 449 (Old: 449) */
      0.0, 2.413420, 100,
       &Sources[2400] , 
       &Weights[2400] , 
      },
    { /* unit 450 (Old: 450) */
      0.0, 3.103840, 100,
       &Sources[2500] , 
       &Weights[2500] , 
      },
    { /* unit 451 (Old: 451) */
      0.0, -0.566400, 100,
       &Sources[2600] , 
       &Weights[2600] , 
      },
    { /* unit 452 (Old: 452) */
      0.0, -3.197430, 100,
       &Sources[2700] , 
       &Weights[2700] , 
      },
    { /* unit 453 (Old: 453) */
      0.0, 0.109510, 52,
       &Sources[2800] , 
       &Weights[2800] , 
      },
    { /* unit 454 (Old: 454) */
      0.0, -2.042580, 52,
       &Sources[2852] , 
       &Weights[2852] , 
      },
    { /* unit 455 (Old: 455) */
      0.0, -2.306040, 2,
       &Sources[2904] , 
       &Weights[2904] , 
      }

  };



int nn1(float *in, float *out, int init)
{
  int member, source;
  float sum;
  enum{OK, Error, Not_Valid};
  pUnit unit;


  /* layer definition section (names & member units) */

  static pUnit Input[400] = {Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400}; /* members */

  static pUnit Hidden1[2] = {Units + 401, Units + 405}; /* members */

  static pUnit Hidden2[2] = {Units + 402, Units + 406}; /* members */

  static pUnit Hidden3[2] = {Units + 403, Units + 407}; /* members */

  static pUnit Hidden4[2] = {Units + 404, Units + 408}; /* members */

  static pUnit Hidden5[2] = {Units + 409, Units + 425}; /* members */

  static pUnit Hidden6[2] = {Units + 410, Units + 426}; /* members */

  static pUnit Hidden7[2] = {Units + 411, Units + 427}; /* members */

  static pUnit Hidden8[2] = {Units + 412, Units + 428}; /* members */

  static pUnit Hidden9[2] = {Units + 413, Units + 429}; /* members */

  static pUnit Hidden10[2] = {Units + 414, Units + 430}; /* members */

  static pUnit Hidden11[2] = {Units + 415, Units + 431}; /* members */

  static pUnit Hidden12[2] = {Units + 416, Units + 432}; /* members */

  static pUnit Hidden13[2] = {Units + 417, Units + 433}; /* members */

  static pUnit Hidden14[2] = {Units + 418, Units + 434}; /* members */

  static pUnit Hidden15[2] = {Units + 419, Units + 435}; /* members */

  static pUnit Hidden16[2] = {Units + 420, Units + 436}; /* members */

  static pUnit Hidden17[2] = {Units + 421, Units + 437}; /* members */

  static pUnit Hidden18[2] = {Units + 422, Units + 438}; /* members */

  static pUnit Hidden19[2] = {Units + 423, Units + 439}; /* members */

  static pUnit Hidden20[2] = {Units + 424, Units + 440}; /* members */

  static pUnit Hidden21[2] = {Units + 441, Units + 447}; /* members */

  static pUnit Hidden22[2] = {Units + 442, Units + 448}; /* members */

  static pUnit Hidden23[2] = {Units + 443, Units + 449}; /* members */

  static pUnit Hidden24[2] = {Units + 444, Units + 450}; /* members */

  static pUnit Hidden25[2] = {Units + 445, Units + 451}; /* members */

  static pUnit Hidden26[2] = {Units + 446, Units + 452}; /* members */

  static pUnit Hidden27[2] = {Units + 453, Units + 454}; /* members */

  static pUnit Output1[1] = {Units + 455}; /* members */

  static int Output[1] = {455};

  for(member = 0; member < 400; member++) {
    Input[member]->act = in[member];
  }

  for (member = 0; member < 2; member++) {
    unit = Hidden1[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden2[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden3[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden4[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden5[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden6[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden7[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden8[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden9[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden10[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden11[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden12[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden13[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden14[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden15[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden16[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden17[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden18[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden19[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden20[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden21[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden22[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden23[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden24[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden25[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden26[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden27[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 1; member++) {
    unit = Output1[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for(member = 0; member < 1; member++) {
    out[member] = Units[Output[member]].act;
  }

  return(OK);
}
