/*
   This file is part of the MoCA video library.
   Name: ProjectionProfile.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

 
  
   \author    Stephan Kopf
   
	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de
	
	 (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt
	 
*/


#ifndef PROJECTION_PROFILE_H
#define PROJECTION_PROFILE_H


// C++ includes
#include <iostream>
using namespace std;


// MoCA includes
#include <Image.h>
#include <Color.h>
#include <DrawLine.h>




/*
	Constructor   : initializes variables
	process()     : calculate projection profile
	process()     : calculate projection profile and draw profile
*/

const int32  PROJECTION_PROFILE_DIFF=1;
const int32 PROJECTION_PROFILE_ABS =2;
class ProjectionProfile
{
public:

	ProjectionProfile(int32 mode=PROJECTION_PROFILE_DIFF)
	{
		this->mode = mode;
	}

	void process (const Image<uint8> &img, Signal<int32> &horizontalProfile, Signal<int32> &verticalProfile);
	void process (const Image<uint8> &img, 
		          Signal<int32> &horizontalProfile, Signal<int32> &verticalProfile,
				  Image<uint8> &dest, int32 addWidth=100, int32 addHeight=100, Color c=Color::BLACK);

private:
	int32 mode;
};

#endif
