/*
    RegionbasedDistance.cpp     evaluate the quality of automatic segmentation
    Copyright (C) 2004 Markus Beier

	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <RegionbasedDistance.h>

RegionbasedDistance::RegionbasedDistance()
{}

void
RegionbasedDistance::process(Image<uint8>& src, Image<uint8>& dest, int16& falsePositive, int16& falseNegative, int16& correctPixel)
{
    size = src.getSize();
    falsePositive = 0;
    falseNegative = 0;
    correctPixel  = 0;

    for (int16 x = 0; x < size[DIM_X]; x++) {
        for (int16 y = 0; y < size[DIM_Y]; y++) {
            if (src(x, y, 0) == 255 && dest(x, y, 0) == 255) {
                correctPixel++;
            } else {
                if (src(x, y, 0) == 0 && dest(x, y, 0) == 255) {
                    falsePositive++;
                } else {
                    if (src(x, y, 0) == 255 && dest(x, y, 0) == 0) {
                        falseNegative++;
                    } // if
                } // else
            } // else

        } // for
    } // for
} // process
