/*
   This file is part of the MoCA video library.
   Name: InverseFilter.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: {kopf,kuehne}@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   InverseFilter.h  -- inverts images

   Author:    Stephan Kopf
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: {kopf,kuehne}@pi4.informatik.uni-mannheim.de

   $Id: 
*/


#ifndef INVERSE_FILTER_H
#define INVERSE_FILTER_H

#include <Image.h>


/*!

  The filter itself, provide an input image, the data in the
  input image gets overwritten with the output data.

  This method calls process(src, dest)

  \sa InverseFilter<T>::process(Image<T>, Image<T>)

  \param srcDest input and output image

 */

class InverseFilter
{
public:
    //! Constructor 
    InverseFilter() {};

    //! Destructor
    ~InverseFilter() {};

    //! Apply Inverse to image
    void process(Image<uint8> &srcDest)
	{
		process(srcDest, srcDest);
		return;
	}

    //! Apply Inverse to image
    void process(const Image<uint8> &src, Image<uint8> &dest);

protected:

private:
}; // class InverseFilter

#endif
