/*
   This file is part of the MoCA video library.
   Name: DrawCircle.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   DrawCross.h  -- draws a circle

   Author:    Stephan Kopf
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: kopf@pi4.informatik.uni-mannheim.de

   $Id: 
*/



#ifndef DRAW_CIRCLE_H
#define DRAW_CIRCLE_H

// C-includes
#include <math.h>

// MoCA includes
#include <ImagePosition.h>
#include <Image.h>
#include <Color.h>

class DrawCircle
{
public:
    DrawCircle(const Color &c = Color::WHITE) 
	{
		this->c = c;
	}
    ~DrawCircle () {};

    //! draw cross
    void process (const ImagePosition &p, const int32 radius, const Color &c, Image<uint8>& srcDest);
    void process (const ImagePosition &p, const int32 radius, const Color &c, const Image<uint8>& src, Image<uint8>& dest);

    //! draw cross
    void process (const ImagePosition p, const int32 radius, Image<uint8>& srcDest)
	{
		process (p, radius, c, srcDest);
		return;
	}
    void process (const ImagePosition &p, const int32 radius, const Image<uint8>& src, Image<uint8>& dest)
	{
		process (p, radius, c, src, dest);
		return;
	}

private:
	Color c;

}; // DrawLine

#endif

