/*
   This file is part of the MoCA video library.
   Name: DrawLine.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: {kuehne,kopf}@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   DrawLine.h  -- implementation of a lien routine

   Author:    Stephan Kopf
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: {kuehne,kopf}@pi4.informatik.uni-mannheim.de

   $Id: 
*/



#ifndef DRAW_LINE_H
#define DRAW_LINE_H

#include <ImagePosition.h>
#include <Image.h>
#include <Color.h>

class DrawLine 
{
public:
    DrawLine(const Color &c = Color::WHITE, int width = 1) 
	{
		this->c     = c;
		this->width = width;
	}
    ~DrawLine () {};

    //! draw line
    void process (const ImagePosition &p1, const ImagePosition &p2, const Color &c, Image<uint8>& srcDest);
    void process (const ImagePosition &p1, const ImagePosition &p2, const Color &c, const Image<uint8>& src, Image<uint8>& dest);


    //! draw line
    void process (const ImagePosition p1, const ImagePosition p2, Image<uint8>& srcDest)
	{
		process (p1, p2, c, srcDest);
		return;
	}
    void process (const ImagePosition &p1, const ImagePosition &p2, const Image<uint8>& src, Image<uint8>& dest)
	{
		process (p1, p2, c, src, dest);
		return;
	}
    void process (const int32 x0, const int32 y0, const int32 x1, const int32 y1, 
		          Image<uint8>& srcDest)
	{
		process (ImagePosition (x0,y0), ImagePosition (x1,y1), c, srcDest);
		return;
	}
    void process (const int32 x0, const int32 y0, const int32 x1, const int32 y1, 
		          const Image<uint8>& src, Image<uint8>& dest)
	{
		process (ImagePosition (x0,y0), ImagePosition (x1,y1), c, src, dest);
		return;
	}


private:
	void draw (const ImagePosition &p1, const ImagePosition &p2, const Color &c, Image<uint8>& srcDest);


	Color c;
	int32 width;

}; // DrawLine

#endif

