/*
   This file is part of the MoCA video library.
   Name: IVideoFileFormatStream.h
   Copyright (C) 2004 Gerald Kuehne

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: schuster@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file



   \author    Gerald Kuehne

              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim
              68131 Mannheim
              Germany
              email: schuster@informatik.uni-mannheim.de

   (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt

   $Id: IVideoFileFormatStream.h,v 1.1 2004/02/17 12:00:48 kopf Exp $

*/

#ifndef I_VIDEO_FILE_FORMAT_STREAM_H
#define I_VIDEO_FILE_FORMAT_STREAM_H

#include <Video.h>

/*!
  Abstract base class for input video file format streams
*/
class IVideoFileFormatStream
{
public:
    //! the default constructor
    IVideoFileFormatStream(istream &is);

    //! the destructor
    ~IVideoFileFormatStream();

    //! to open a stream
    void open(istream &);

    //! close the video stream, not is!
    void close();

    //! read an video
    void read(Video<uint8> &, int, int);

    //! check if "is" is of given format
    bool checkFormat();

protected:

    //! the underlying input stream
    istream *is;

}; // IVideoFileFormatStream


#endif
