/*
   This file is part of the MoCA video library.
   Name: OPgmVideoFormatStream.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file



   \author    Stephan Kopf

              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim
              68131 Mannheim
              Germany
              email: kopf@informatik.uni-mannheim.de

   (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt

   $Id: OPgmFormatStream.h,v 1.1 2004/02/17 12:00:48 kopf Exp $

*/

#ifndef O_PGM_VIDEO_FORMAT_STREAM_H
#define O_PGM_VIDEO_FORMAT_STREAM_H

// MoCA includes
#include <GetType.h>
#include <OVideoFormatStream.h>
#include <PgmParameter.h>

/*!
  pgm format specific stream
*/
template<class T>
class OPgmVideoFormatStream : public OVideoFormatStream<T>
{
public:
    //! the default constructor
    OPgmVideoFormatStream(ostream &os) : OVideoFormatStream<T>(os), pp(NULL) 
	{ 
		open (os, pp); 
	}

    //! the destructor
    ~OPgmVideoFormatStream() {}

    //! open format stream
    void open(ostream &, const FormatParameter *fp);

    //! write an image
    void write(const Image<T> &) throw (MocaException);

    //! write a video
    void write(const Video<T> &) throw (MocaException);

private:

	FormatParameter *pp;
}; // OPgmVideoFormatStream

#include <OPgmVideoFormatStream.cpt>

#endif


