/*
   This file is part of the MoCA video library.
   Name: ImagePosition.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kuehne@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

 file.h  -- short description
 
  Author:    Gerald Kuehne
  Lehrstuhl fuer Praktische Informatik IV
  Universitaet Mannheim, Germany
  email: kuehne@pi4.informatik.uni-mannheim.de
  
   $Id: ImagePosition.h,v 1.1 2004/02/17 12:00:58 kopf Exp $
*/

#ifndef IMAGE_POSITION_H
#define IMAGE_POSITION_H

// C++ includes
#include <iostream>
using namespace std;
#include <list>

// MoCA includes
#include <SampleBlockPosition.h>
#include <OTagStream.h>
#include <ITagStream.h>

class ImagePosition: public SampleBlockPosition
{
public:
	ImagePosition () : SampleBlockPosition () {};
	ImagePosition (indexType x, indexType y, indexType band = 0) : SampleBlockPosition (x, y, 0, band) {};

	friend std::ostream& operator<< (ostream&, const ImagePosition&);
	friend OTagStream& operator<< (OTagStream&, const ImagePosition&);
	friend ITagStream& operator>> (ITagStream&, ImagePosition&);

	friend std::ostream& operator<< (ostream&, const list<ImagePosition>&);
	friend OTagStream& operator<< (OTagStream&, const list<ImagePosition>&);
	friend ITagStream& operator>> (ITagStream&, list<ImagePosition>&);
};


#endif
