/*
   This file is part of the MoCA video library.
   Name: MocaSamples.h
   Copyright (C) 2006 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#ifndef MOCA_SAMPLES_H
#define MOCA_SAMPLES_H

//
// just include this file, if you have to include many different sample files (headers) in your file
//
// include all header files in directory "samples"
#include <ForEachAlgos.h>
#include <Gexel.h>
#include <Image.h>
#include <ImageEdgePosition.h>
#include <ImagePosition.h>
#include <ImageSize.h>
#include <MocaSignal.h>
#include <Pixel.h>
#include <SampleBlock.h>
#include <SampleBlockBase.h>
#include <SampleBlockPosition.h>
#include <SampleBlockSize.h>
#include <SignalPosition.h>
#include <SignalSize.h>
#include <Video.h>
#include <VideoPosition.h>
#include <VideoSize.h>

void testSamples ()
{
	// test image classes
	ImageSize s(100,100,3);
	Image<uint8> img (s);
	ImagePosition ip (10, 10, 0);
	EdgePosition edgePosition = NORTH;
    ImageEdgePosition iep (5, 6, 0, edgePosition);


#if 0
#include <ForEachAlgos.h>
#include <Gexel.h>
#include <MocaSignal.h>
#include <Pixel.h>
#include <SampleBlock.h>
#include <SampleBlockBase.h>
#include <SampleBlockPosition.h>
#include <SampleBlockSize.h>
#include <SignalPosition.h>
#include <SignalSize.h>
#include <Video.h>
#include <VideoPosition.h>
#include <VideoSize.h>
#endif

	return;
}

#endif

