/*
   This file is part of the MoCA video library.
   Name: SignalPosition.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kuehne@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   SignalPosition.h  -- position of sample within a one-dimensional, multiband signal

   Author:    Gerald Kuehne
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: kuehne@pi4.informatik.uni-mannheim.de

   $Id: SignalPosition.h,v 1.1 2004/02/17 12:00:58 kopf Exp $
*/

#ifndef SIGNAL_POSITION_H
#define SIGNAL_POSITION_H

// MoCA includes
#include <SampleBlockPosition.h>

class SignalPosition : public SampleBlockPosition
{
public:
  SignalPosition ();
  SignalPosition (indexType x, indexType band = 0);
};

inline
SignalPosition::
SignalPosition ()
  : SampleBlockPosition ()
{}

inline
SignalPosition::
SignalPosition (indexType x, indexType band)
  : SampleBlockPosition (x, 0, 0, band)
{}

#endif


