/*
   This file is part of the MoCA video library.
   Name: SignalSize.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kuehne@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   SignalSize.h  -- size of a one-dimensional, multiband signal

   Author:    Gerald Kuehne
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: kuehne@pi4.informatik.uni-mannheim.de

   $Id: SignalSize.h,v 1.1 2004/02/17 12:00:58 kopf Exp $
*/

#ifndef SIGNAL_SIZE_H
#define SIGNAL_SIZE_H

// MoCA includes
#include <SampleBlockSize.h>

class SignalSize : public SampleBlockSize
{
public:
    SignalSize ();
    SignalSize (sizeType x, sizeType bands = 1);
    SignalSize (const SignalSize &);
};

inline
SignalSize::
SignalSize ()
  : SampleBlockSize ()
{}

inline
SignalSize::
SignalSize (sizeType x, sizeType bands)
  : SampleBlockSize (x, 1, 1, bands)
{}


inline
SignalSize::
SignalSize (const SignalSize &sig)
  : SampleBlockSize (sig[DIM_X], 1, 1, sig[DIM_BAND])
{}

#endif


